searchData={"items":[{"type":"module","title":"Recase","doc":"Recase allows you to convert string from any to any case.\n\nThis module contains public interface.","ref":"Recase.html"},{"type":"function","title":"Recase.to_camel/1","doc":"Converts string to camelCase.","ref":"Recase.html#to_camel/1"},{"type":"function","title":"Examples - Recase.to_camel/1","doc":"iex> Recase.to_camel(\"some-value\")\n    \"someValue\"\n\n    iex> Recase.to_camel(\"Some Value\")\n    \"someValue\"","ref":"Recase.html#to_camel/1-examples"},{"type":"function","title":"Recase.to_constant/1","doc":"Converts string to CONSTANT_CASE.","ref":"Recase.html#to_constant/1"},{"type":"function","title":"Examples - Recase.to_constant/1","doc":"iex> Recase.to_constant(\"SomeValue\")\n    \"SOME_VALUE\"\n\n    iex> Recase.to_constant(\"some value\")\n    \"SOME_VALUE\"","ref":"Recase.html#to_constant/1-examples"},{"type":"function","title":"Recase.to_dot/1","doc":"Converts string to dot.case","ref":"Recase.html#to_dot/1"},{"type":"function","title":"Examples - Recase.to_dot/1","doc":"iex> Recase.to_dot(\"SomeValue\")\n    \"some.value\"\n\n    iex> Recase.to_dot(\"some value\")\n    \"some.value\"","ref":"Recase.html#to_dot/1-examples"},{"type":"function","title":"Recase.to_header/1","doc":"Converts string to Header-Case","ref":"Recase.html#to_header/1"},{"type":"function","title":"Examples - Recase.to_header/1","doc":"iex> Recase.to_header(\"SomeValue\")\n    \"Some-Value\"\n\n    iex> Recase.to_header(\"some value\")\n    \"Some-Value\"","ref":"Recase.html#to_header/1-examples"},{"type":"function","title":"Recase.to_kebab/1","doc":"Converts string to kebab-case.","ref":"Recase.html#to_kebab/1"},{"type":"function","title":"Examples - Recase.to_kebab/1","doc":"iex> Recase.to_kebab(\"SomeValue\")\n    \"some-value\"\n\n    iex> Recase.to_kebab(\"some value\")\n    \"some-value\"","ref":"Recase.html#to_kebab/1-examples"},{"type":"function","title":"Recase.to_name/1","doc":"Converts string to Name Case","ref":"Recase.html#to_name/1"},{"type":"function","title":"Examples - Recase.to_name/1","doc":"iex> Recase.to_name(\"mccarthy o'donnell\")\n    \"McCarthy O'Donnell\"\n\n    iex> Recase.to_name(\"von streit\")\n    \"von Streit\"","ref":"Recase.html#to_name/1-examples"},{"type":"function","title":"Recase.to_pascal/1","doc":"Converts string to PascalCase (aka UpperCase).","ref":"Recase.html#to_pascal/1"},{"type":"function","title":"Examples - Recase.to_pascal/1","doc":"iex> Recase.to_pascal(\"some-value\")\n    \"SomeValue\"\n\n    iex> Recase.to_pascal(\"some value\")\n    \"SomeValue\"","ref":"Recase.html#to_pascal/1-examples"},{"type":"function","title":"Recase.to_path/1","doc":"","ref":"Recase.html#to_path/1"},{"type":"function","title":"Recase.to_path/2","doc":"Converts string to path/case.","ref":"Recase.html#to_path/2"},{"type":"function","title":"Examples - Recase.to_path/2","doc":"iex> Recase.to_path(\"SomeValue\")\n    \"Some/Value\"\n\n    iex> Recase.to_path(\"some value\", \"\\\\\")\n    \"some\\\\value\"","ref":"Recase.html#to_path/2-examples"},{"type":"function","title":"Recase.to_sentence/1","doc":"Converts string to Sentence case","ref":"Recase.html#to_sentence/1"},{"type":"function","title":"Examples - Recase.to_sentence/1","doc":"iex> Recase.to_sentence(\"SomeValue\")\n    \"Some value\"\n\n    iex> Recase.to_sentence(\"some value\")\n    \"Some value\"","ref":"Recase.html#to_sentence/1-examples"},{"type":"function","title":"Recase.to_snake/1","doc":"Converts string to snake_case.","ref":"Recase.html#to_snake/1"},{"type":"function","title":"Examples - Recase.to_snake/1","doc":"iex> Recase.to_snake(\"some-value\")\n    \"some_value\"\n\n    iex> Recase.to_snake(\"someValue\")\n    \"some_value\"","ref":"Recase.html#to_snake/1-examples"},{"type":"function","title":"Recase.to_title/1","doc":"Converts string to Title Case","ref":"Recase.html#to_title/1"},{"type":"function","title":"Examples - Recase.to_title/1","doc":"iex> Recase.to_title(\"SomeValue\")\n    \"Some Value\"\n\n    iex> Recase.to_title(\"some value\")\n    \"Some Value\"","ref":"Recase.html#to_title/1-examples"},{"type":"function","title":"Recase.underscore/1","doc":"","ref":"Recase.html#underscore/1"},{"type":"module","title":"Recase.CamelCase","doc":"Module to convert strings to `camelCase`.\n\nThis module should not be used directly.","ref":"Recase.CamelCase.html"},{"type":"module","title":"Examples - Recase.CamelCase","doc":"iex> Recase.to_camel \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"fooBarBazΛambdaΛambdaПриветМир\"\n\nRead about `camelCase` here:\nhttps://en.wikipedia.org/wiki/Camel_case","ref":"Recase.CamelCase.html#module-examples"},{"type":"function","title":"Recase.CamelCase.convert/1","doc":"","ref":"Recase.CamelCase.html#convert/1"},{"type":"module","title":"Recase.ConstantCase","doc":"Module to convert strings to `CONSTANT_CASE`.\n\nThis module should not be used directly.","ref":"Recase.ConstantCase.html"},{"type":"module","title":"Examples - Recase.ConstantCase","doc":"iex> Recase.to_constant \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"FOO_BAR_BAZ_ΛAMBDA_ΛAMBDA_ПРИВЕТ_МИР\"\n\nConstant case is the same as `snake_case`,\nbut uppercased.","ref":"Recase.ConstantCase.html#module-examples"},{"type":"function","title":"Recase.ConstantCase.convert/1","doc":"","ref":"Recase.ConstantCase.html#convert/1"},{"type":"module","title":"Recase.DotCase","doc":"Module to convert strings to `dot.case`.\n\nThis module should not be used directly.","ref":"Recase.DotCase.html"},{"type":"module","title":"Examples - Recase.DotCase","doc":"iex> Recase.to_dot \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"foo.bar.baz.λambda.λambda.привет.мир\"\n\n`DotCase` is the same as `KebabCase` and `SnakeCase`.\nBut uses `.` as a separator.","ref":"Recase.DotCase.html#module-examples"},{"type":"function","title":"Recase.DotCase.convert/1","doc":"","ref":"Recase.DotCase.html#convert/1"},{"type":"module","title":"Recase.Enumerable","doc":"Helper module to convert enumerable keys recursively.","ref":"Recase.Enumerable.html"},{"type":"function","title":"Recase.Enumerable.atomize_keys/1","doc":"Invoke fun for each keys of the enumerable and cast keys to atoms.","ref":"Recase.Enumerable.html#atomize_keys/1"},{"type":"function","title":"Recase.Enumerable.atomize_keys/2","doc":"","ref":"Recase.Enumerable.html#atomize_keys/2"},{"type":"function","title":"Recase.Enumerable.convert_keys/1","doc":"Invoke fun for each keys of the enumerable.","ref":"Recase.Enumerable.html#convert_keys/1"},{"type":"function","title":"Recase.Enumerable.convert_keys/2","doc":"","ref":"Recase.Enumerable.html#convert_keys/2"},{"type":"function","title":"Recase.Enumerable.stringify_keys/1","doc":"","ref":"Recase.Enumerable.html#stringify_keys/1"},{"type":"function","title":"Recase.Enumerable.stringify_keys/2","doc":"","ref":"Recase.Enumerable.html#stringify_keys/2"},{"type":"module","title":"Recase.Generic","doc":"Generic module to split and join strings back or convert strings to atoms.\nThis module should not be used directly.","ref":"Recase.Generic.html"},{"type":"function","title":"Recase.Generic.rejoin/2","doc":"Splits the input and **`rejoins`** it with a separator given. Optionally\nconverts parts to `downcase`, `upcase` or `titlecase`.\n- `opts[:case] :: [:down | :up | :title | :none]`\n- `opts[:separator] :: binary() | integer()`\nDefault separator is `?_`, default conversion is `:downcase` so that\nit behaves the same way as `to_snake/1`.","ref":"Recase.Generic.html#rejoin/2"},{"type":"function","title":"Examples - Recase.Generic.rejoin/2","doc":"iex> Recase.Generic.rejoin \"foo_barBaz-λambdaΛambda-привет-Мир\", separator: \"__\"\n    \"foo__bar__baz__λambda__λambda__привет__мир\"","ref":"Recase.Generic.html#rejoin/2-examples"},{"type":"function","title":"Recase.Generic.safe_atom/1","doc":"Atomizes a string value.\nUses an existing atom if possible.","ref":"Recase.Generic.html#safe_atom/1"},{"type":"function","title":"Recase.Generic.split/1","doc":"Splits the input into **`list`**. Utility function.","ref":"Recase.Generic.html#split/1"},{"type":"function","title":"Examples - Recase.Generic.split/1","doc":"iex> Recase.Generic.split \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    [\"foo\", \"bar\", \"Baz\", \"λambda\", \"Λambda\", \"привет\", \"Мир\"]","ref":"Recase.Generic.html#split/1-examples"},{"type":"module","title":"Recase.HeaderCase","doc":"Module to convert strings to `Header-Case`.\n\nThis module should not be used directly.","ref":"Recase.HeaderCase.html"},{"type":"module","title":"Examples - Recase.HeaderCase","doc":"iex> Recase.to_header \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"Foo-Bar-Baz-Λambda-Λambda-Привет-Мир\"\n\nHeader case is the case suggested in [section 3.4.7 of RFC 822]\n(https://tools.ietf.org/html/rfc822#section-3.4.7) to be used\nin the message-creation process.","ref":"Recase.HeaderCase.html#module-examples"},{"type":"function","title":"Recase.HeaderCase.convert/1","doc":"","ref":"Recase.HeaderCase.html#convert/1"},{"type":"module","title":"Recase.KebabCase","doc":"Module to convert strings to `kebab-case`.\n\nThis module should not be used directly.","ref":"Recase.KebabCase.html"},{"type":"module","title":"Examples - Recase.KebabCase","doc":"iex> Recase.to_kebab \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"foo-bar-baz-λambda-λambda-привет-мир\"\n\nRead about `kebab-case` here:\nhttps://en.wikipedia.org/wiki/Kebab_case","ref":"Recase.KebabCase.html#module-examples"},{"type":"function","title":"Recase.KebabCase.convert/1","doc":"","ref":"Recase.KebabCase.html#convert/1"},{"type":"module","title":"Recase.NameCase","doc":"Module to convert strings to `Name Case`.\n\nThis module should not be used directly.","ref":"Recase.NameCase.html"},{"type":"module","title":"Examples - Recase.NameCase","doc":"iex> Recase.to_name \"mccarthy o'donnell\"\n    \"McCarthy O'Donnell\"\n\nRead about `Name Case` here:\nhttps://metacpan.org/pod/Lingua::EN::NameCase","ref":"Recase.NameCase.html#module-examples"},{"type":"function","title":"Recase.NameCase.convert/1","doc":"","ref":"Recase.NameCase.html#convert/1"},{"type":"module","title":"Recase.PascalCase","doc":"Module to convert strings to `PascalCase` aka `UpperCase`.\n\nThis module should not be used directly.","ref":"Recase.PascalCase.html"},{"type":"module","title":"Examples - Recase.PascalCase","doc":"iex> Recase.to_pascal \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"FooBarBazΛambdaΛambdaПриветМир\"\n\nRead about `PascalCase` here:\nhttps://en.wikipedia.org/wiki/PascalCase","ref":"Recase.PascalCase.html#module-examples"},{"type":"module","title":"Changed - Recase.PascalCase","doc":"This name was introduced in version `0.2.0`,\nit was named `UpperCase` before.\n\nBut `UpperCase` was not clear enough. What is `uppercase`?\n\n1. THIS IS UPPERCASE\n2. ThisIsAlsoUpperCase\n\nSo, it was decided to rename this module into `PascalCase`.\nFor other details see: https://github.com/wemake-services/recase/issues/2","ref":"Recase.PascalCase.html#module-changed"},{"type":"function","title":"Recase.PascalCase.convert/1","doc":"","ref":"Recase.PascalCase.html#convert/1"},{"type":"module","title":"Recase.PathCase","doc":"Module to convert strings to `path/case`.\n\nThis module should not be used directly.\n\nPath case preserves the original case,\nbut inserts path separator to appropriate places.\n\nBy default uses `/` as a path separator.","ref":"Recase.PathCase.html"},{"type":"module","title":"Examples - Recase.PathCase","doc":"iex> Recase.to_path \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"foo/bar/Baz/λambda/Λambda/привет/Мир\"","ref":"Recase.PathCase.html#module-examples"},{"type":"function","title":"Recase.PathCase.convert/2","doc":"","ref":"Recase.PathCase.html#convert/2"},{"type":"module","title":"Recase.Replace","doc":"Helper module to pipe and replace values easily.","ref":"Recase.Replace.html"},{"type":"function","title":"Recase.Replace.replace/3","doc":"Replaces `value` if it matches `regex` with `new_value`.\n\nStandard `Regex.replace/3` accepts `value` to replace\nas the second argument. Which is not quite convenient to\nuse in pipes.\n\nThis function accepts `value` as the first argument and\nthen passes it to `Regex.replace/3` as the second one.","ref":"Recase.Replace.html#replace/3"},{"type":"module","title":"Recase.SentenceCase","doc":"Module to convert strings to `Sentence case`.\n\nThis module should not be used directly.","ref":"Recase.SentenceCase.html"},{"type":"module","title":"Examples - Recase.SentenceCase","doc":"iex> Recase.to_sentence \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"Foo bar baz λambda λambda привет мир\"\n\nRead about `Sentence case` here:\nhttps://en.wikipedia.org/wiki/Letter_case#Sentence_case","ref":"Recase.SentenceCase.html#module-examples"},{"type":"function","title":"Recase.SentenceCase.convert/1","doc":"","ref":"Recase.SentenceCase.html#convert/1"},{"type":"module","title":"Recase.SnakeCase","doc":"Module to convert strings to `snake_case`.\n\nThis module should not be used directly.","ref":"Recase.SnakeCase.html"},{"type":"module","title":"Examples - Recase.SnakeCase","doc":"iex> Recase.to_snake \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"foo_bar_baz_λambda_λambda_привет_мир\"\n    iex> Recase.underscore \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"foo_bar_baz_λambda_λambda_привет_мир\"\n\nRead about `snake_case` here:\nhttps://en.wikipedia.org/wiki/Snake_case","ref":"Recase.SnakeCase.html#module-examples"},{"type":"function","title":"Recase.SnakeCase.convert/1","doc":"","ref":"Recase.SnakeCase.html#convert/1"},{"type":"module","title":"Recase.TitleCase","doc":"Module to convert strings to `Title Case`.\n\nThis module should not be used directly.\n\n**NB!** at the moment has no stop words: titleizes everything","ref":"Recase.TitleCase.html"},{"type":"module","title":"Examples - Recase.TitleCase","doc":"iex> Recase.to_title \"foo_barBaz-λambdaΛambda-привет-Мир\"\n    \"Foo Bar Baz Λambda Λambda Привет Мир\"\n\nRead about `Title Case` here:\nhttps://en.wikipedia.org/wiki/Letter_case#Title_case","ref":"Recase.TitleCase.html#module-examples"},{"type":"function","title":"Recase.TitleCase.convert/1","doc":"","ref":"Recase.TitleCase.html#convert/1"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).","ref":"changelog.html"},{"type":"extras","title":"Version 0.8.1 (2024-06-25) - Changelog","doc":"","ref":"changelog.html#version-0-8-1-2024-06-25"},{"type":"extras","title":"Bugfixes - Changelog","doc":"- Fixes how names like `von` are uppercased","ref":"changelog.html#bugfixes"},{"type":"extras","title":"Version 0.8.0 (2024-05-28) - Changelog","doc":"","ref":"changelog.html#version-0-8-0-2024-05-28"},{"type":"extras","title":"Features - Changelog","doc":"- Now supports elixir `1.14+`","ref":"changelog.html#features"},{"type":"extras","title":"Bugfixes - Changelog","doc":"- Fixes a bug with `NameCase` and unicode chars #176\n- Uses `Application.compile_env`","ref":"changelog.html#bugfixes"},{"type":"extras","title":"Version 0.7.0 (2020-10-06) - Changelog","doc":"","ref":"changelog.html#version-0-7-0-2020-10-06"},{"type":"extras","title":"Features - Changelog","doc":"- Adds ability to convert with `:atom`","ref":"changelog.html#features"},{"type":"extras","title":"Fixes - Changelog","doc":"- Fixes how we handle several types of values in `Recase.Enumerable`","ref":"changelog.html#fixes"},{"type":"extras","title":"Version 0.6.0 (2019-07-10) - Changelog","doc":"","ref":"changelog.html#version-0-6-0-2019-07-10"},{"type":"extras","title":"Features - Changelog","doc":"- Adds `Recase.Enumerable`","ref":"changelog.html#features"},{"type":"extras","title":"Version 0.5.0 (2019-07-01) - Changelog","doc":"","ref":"changelog.html#version-0-5-0-2019-07-01"},{"type":"extras","title":"Features - Changelog","doc":"- Improves performance, see [#46](https://github.com/wemake-services/recase/pull/46)\n- Adds `title_case`, see [#38](https://github.com/wemake-services/recase/pull/39)","ref":"changelog.html#features"},{"type":"extras","title":"Misc - Changelog","doc":"- Bumped minimal `elixir` version to `1.6` due to `mix format`\n- Package version updates\n- New elixir versions support in travis\n- Adds `elixir1.9` support\n- Adds `mix format`","ref":"changelog.html#misc"},{"type":"extras","title":"Version 0.4.0 (2018-12-25) - Changelog","doc":"","ref":"changelog.html#version-0-4-0-2018-12-25"},{"type":"extras","title":"Features - Changelog","doc":"- Adds `sentence_case`, see [#38](https://github.com/wemake-services/recase/pull/38)","ref":"changelog.html#features"},{"type":"extras","title":"Misc - Changelog","doc":"- Package version updates","ref":"changelog.html#misc"},{"type":"extras","title":"Version 0.3.0 (2018-01-18) - Changelog","doc":"","ref":"changelog.html#version-0-3-0-2018-01-18"},{"type":"extras","title":"Breaking changes - Changelog","doc":"- `snake_case` now removes punctuation, see [#5](https://github.com/wemake-services/recase/issues/5)\n- Minimal `elixir` version is now `1.5`","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Version 0.2.0 (2017-07-15) - Changelog","doc":"This version brings just one, but braking change. As it was discussed `to_upper` is a misleading name for a function. It is not clear what this function does. Since traditionally `uppercase` is just all uppercased letters. And it has nothing to do with `PascalCase`.","ref":"changelog.html#version-0-2-0-2017-07-15"},{"type":"extras","title":"Braking changes - Changelog","doc":"- `UpperCase` renamed to `PascalCase` ([#2](https://github.com/wemake-services/recase/issues/2))\n- `Recase.to_upper/1` renamed to `Recase.to_pascal/1` ([#2](https://github.com/wemake-services/recase/issues/2))","ref":"changelog.html#braking-changes"},{"type":"extras","title":"Tests - Changelog","doc":"- `upper_case_test.exs` renamed to `pascal_case_test.exs`","ref":"changelog.html#tests"},{"type":"extras","title":"Documentation - Changelog","doc":"- Made changes to reflect `Pascal` and `Upper` case issue","ref":"changelog.html#documentation"},{"type":"extras","title":"Version 0.1.1 (2017-07-12) - Changelog","doc":"","ref":"changelog.html#version-0-1-1-2017-07-12"},{"type":"extras","title":"Improvements - Changelog","doc":"- Adds `Path/case`, `dot.case`, and `CONTANT_CASE`\n- Updates tests","ref":"changelog.html#improvements"},{"type":"extras","title":"Documentation - Changelog","doc":"- Updates documentation\n- Updates README","ref":"changelog.html#documentation"},{"type":"extras","title":"Version 0.1.0 (2017-07-08) - Changelog","doc":"Initial release supporting: `UpperCase`, `camelCase`, `snake_case`, `kebab-case`.","ref":"changelog.html#version-0-1-0-2017-07-08"},{"type":"extras","title":"Contributing","doc":"# Contributing to Recase","ref":"contributing.html"},{"type":"extras","title":"Pull Requests Welcome - Contributing","doc":"1. Fork `recase`\n2. Create a topic branch\n3. Make logically-grouped commits with clear commit messages\n4. Push commits to your fork\n5. Open a pull request against `recase/master`","ref":"contributing.html#pull-requests-welcome"},{"type":"extras","title":"Development - Contributing","doc":"Please, make sure that all these commands succeed before pushing anything:\n\n1. `mix test`\n2. `mix credo --strict`\n3. `mix dialyzer` (it may take long on the first run)","ref":"contributing.html#development"},{"type":"extras","title":"Issues - Contributing","doc":"If you believe there to be a bug, please provide the maintainers with enough\ndetail to reproduce or a link to an app exhibiting unexpected behavior. For\nhelp, please start with Stack Overflow.","ref":"contributing.html#issues"},{"type":"extras","title":"License","doc":"# The MIT License\n\nCopyright (c) 2017 Nikita Sobolev\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# Recase\n\n![Recase](https://raw.githubusercontent.com/wemake-services/recase/master/media/logo.png)\n\n[![Build Status](https://github.com/wemake-services/recase/workflows/test/badge.svg?branch=master&event=push)](https://github.com/wemake-services/recase/actions?query=workflow%3Atest)\n[![Coverage Status](https://coveralls.io/repos/github/wemake-services/recase/badge.svg?branch=master)](https://coveralls.io/github/wemake-services/recase?branch=master)\n[![Hex Version](https://img.shields.io/hexpm/v/recase.svg)](https://hex.pm/packages/recase)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/recase/)\n[![Total Download](https://img.shields.io/hexpm/dt/recase.svg)](https://hex.pm/packages/recase)\n[![License](https://img.shields.io/hexpm/l/recase.svg)](https://github.com/wemake-services/recase/blob/master/LICENSE.md)\n[![Last Updated](https://img.shields.io/github/last-commit/wemake-services/recase.svg)](https://github.com/wemake-services/recase/commits/master)\n\n`Recase` helps you to convert a string from any case to any case.","ref":"readme.html"},{"type":"extras","title":"Why? - Overview","doc":"One can ask: \"Why should I use `Recase` when I can use built-in `Macro` module?\". But, you have to keep in mind that `Macro`'s functions are [not suitable](https://github.com/elixir-lang/elixir/blob/4aa81645b0588b56fb61cd154dcaee354732aa5c/lib/elixir/lib/macro.ex#L1265) for general case usage:\n\n> Do not use it as a general mechanism for underscoring or camelizing strings as it does not support Unicode or characters that are not valid in Elixir identifiers.","ref":"readme.html#why"},{"type":"extras","title":"Installation - Overview","doc":"```elixir\ndef deps do\n  [\n    {:recase, \"~> 0.5\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Pascal - Overview","doc":"Pascal (or Upper) case uses mixed case with lower and upper cased characters. Separates words from each other with the upper case letters. Starts with upper case letter.\n\n```elixir\nRecase.to_pascal(\"some-value\") # => \"SomeValue\"\nRecase.to_pascal(\"Some value\") # => \"SomeValue\"\n```","ref":"readme.html#pascal"},{"type":"extras","title":"Camel - Overview","doc":"Camel case uses mixed case with lower and upper cased characters. Separates words from each other with the upper cased letters. Starts with lower case letter.\n\n```elixir\nRecase.to_camel(\"some-value\") # => \"someValue\"\nRecase.to_camel(\"Some Value\") # => \"someValue\"\n```","ref":"readme.html#camel"},{"type":"extras","title":"Snake - Overview","doc":"Snake cases uses all lower case. Uses `_` as a separator.\n\n```elixir\nRecase.to_snake(\"someValue\") # => \"some_value\"\nRecase.to_snake(\"Some Value\") # => \"some_value\"\n```","ref":"readme.html#snake"},{"type":"extras","title":"Kebab - Overview","doc":"Kebab cases uses all lower case. Uses `-` as a separator.\n\n```elixir\nRecase.to_kebab(\"someValue\") # => \"some-value\"\nRecase.to_kebab(\"Some Value\") # => \"some-value\"\n```","ref":"readme.html#kebab"},{"type":"extras","title":"Constant - Overview","doc":"Constant case uses all upper case. Uses `_` as a separator.\n\n```elixir\nRecase.to_constant(\"SomeValue\") # => \"SOME_VALUE\"\nRecase.to_constant(\"some value\") # => \"SOME_VALUE\"\n```","ref":"readme.html#constant"},{"type":"extras","title":"Dot - Overview","doc":"Dot case uses all lower case similar to snake case. Uses `.` as a separator.\n\n```elixir\nRecase.to_dot(\"SomeValue\") # => \"some.value\"\nRecase.to_dot(\"some value\") # => \"some.value\"\n```","ref":"readme.html#dot"},{"type":"extras","title":"Path - Overview","doc":"Path case preserves case, you can also provide a separator as the second argument.\n\n```elixir\nRecase.to_path(\"SomeValue\") # => \"Some/Value\"\nRecase.to_path(\"some value\", \"\\\\\") # => \"some\\\\value\"\n```","ref":"readme.html#path"},{"type":"extras","title":"Sentence - Overview","doc":"Sentence case uses the same rules as regular sentence.\nFirst letter is uppercase all others letters are lowercase separated by spaces.\n\n```elixir\nRecase.to_sentence(\"SomeValue\") # => \"Some value\"\nRecase.to_sentence(\"some value\") # => \"Some value\"\n```","ref":"readme.html#sentence"},{"type":"extras","title":"Title - Overview","doc":"Title case applies a \"Title Style\" to all words in a sentence.\n\n```elixir\nRecase.to_title(\"some-value\") # => \"Some Value\"\nRecase.to_title(\"some value\") # => \"Some Value\"\n```","ref":"readme.html#title"},{"type":"extras","title":"Header - Overview","doc":"Header case uses the same case as PascalCase, while using `-` as a separator.\n\n```elixir\nRecase.to_header(\"SomeValue\") # => \"Some-Value\"\nRecase.to_header(\"some value\") # => \"Some-Value\"\n```","ref":"readme.html#header"},{"type":"extras","title":"Enumerable - Overview","doc":"You can convert all keys in an enumerable with:\n\n```elixir\nRecase.Enumerable.convert_keys(\n  %{\"yourKey\" => \"value\"},\n  &Recase.to_snake/1\n) # => %{\"your_key\" => \"value\"}\n\nRecase.Enumerable.convert_keys(\n  %{\"your_key\" => \"value\"},\n  &Recase.to_camel/1\n) # => %{\"yourKey\" => \"value\"}\n\nRecase.Enumerable.atomize_keys(\n  %{\"yourKey\" => \"value\"},\n  &Recase.to_snake/1\n) # => %{your_key: \"value\"}\n\nRecase.Enumerable.atomize_keys(\n  %{\"your_key\" => \"value\"},\n  &Recase.to_camel/1\n) # => %{yourKey: \"value\"}\n```","ref":"readme.html#enumerable"},{"type":"extras","title":"Changelog - Overview","doc":"Full changelog is available [here](./CHANGELOG.md).","ref":"readme.html#changelog"},{"type":"extras","title":"Copyright and License - Overview","doc":"Copyright (c) 2017 Nikita Sobolev\n\nThis work is free. You can redistribute it and/or modify it under the\nterms of the MIT License. See the [LICENSE.md](./LICENSE.md) file for more details.","ref":"readme.html#copyright-and-license"},{"type":"extras","title":"Thanks - Overview","doc":"Thanks to [Gyan Lakhwani](https://github.com/gyanl) for the logo.","ref":"readme.html#thanks"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}